/*
    This file is part of O3.
    Copyright 2002, 2003 Stu Mark
    This program is distributed under the terms of the GNU 
    General Public License 

    O3 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    O3 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with O3; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef INCL_OSCONFIG_H
#define INCL_OSCONFIG_H

/* To make flat happy with tragic */

#include <stdlib.h>

#define FOPEN_READ_STRING "r"
#define FOPEN_WRITE_STRING "w"
#define FOPEN_READWRITE_STRING "r+"
#define FOPEN_APPEND_STRING "a"

#define strcmpi strcasecmp
#define stricmp strcasecmp

/* for flat */
#define osopen(a,b,c) open(a,b,c)
#define osclose(a) close(a)

#define chsize ftruncate
#define FLATMODE O_CREAT | O_RDWR
#define FLATPARAM S_IRWXU /* permissions on create in unix */
#define tell(fd) lseek(fd,0,SEEK_CUR)  /* hack for tell for unix */

#define ENOTEXIST ENOENT

void addslash (char *s);
#define SLASH '/'
#define SZSLASH "/"


#endif
